---
title: MediaKeyStatusMap.forEach()
slug: Web/API/MediaKeyStatusMap/forEach
tags:
  - API
  - EncryptedMediaExtensions
  - MediaKeyStatusMap
  - Method
  - Reference
  - forEach()
---
<p>{{APIRef("EncryptedMediaExtensions API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>forEach</code></strong> property of the {{domxref("MediaKeyStatusMap")}} interface calls callback once for each key-value pair in the status map, in insertion order. If an argument is present it will be passed to the callback.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>mediaKeyStatusMap</var>.forEach(<var>callback</var>[, <var>thisArg</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>callback</code></dt>
 <dd>Function to execute for each element, taking three arguments:
 <dl>
  <dt><code>currentValue</code></dt>
  <dd>The current element being processed in the array.</dd>
  <dt><code>index</code></dt>
  <dd>The index of the current element being processed in the array.</dd>
  <dt><code>array</code></dt>
  <dd>Which array <code>forEach()</code> is being applied to.</dd>
 </dl>
 </dd>
 <dt><code>thisArg {{Optional_inline}}</code></dt>
 <dd>Value used as <code>this</code> when executing <code>callback</code>.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>{{jsxref('undefined')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyStatusMap.forEach")}}</p>
</div>
